/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
/**
 * 
 */
package cdac.medinfo.sdk.dcm30_04.enums;

/**
 * This enum represents element Frame Frame Type. It's tag is 0008,9007.
 */
public enum EnumFrameType {
	;
	
	/**
	 * The Enum Value1.
	 */
	public enum Value1
	{
		
		/**
		 * The ORIGINAL.
		 */
		ORIGINAL("ORIGINAL"),
		
		/**
		 * The DERIVED.
		 */
		DERIVED("DERIVED"),
		
		/**
		 * The MIXED.
		 */
		MIXED("MIXED");

		Value1(String strValue)
		{
			value = strValue;
		}

		/**
		 * The value.
		 */
		private String value;

		/**
		 * Gets the value.
		 * 
		 * @return the value
		 */
		public String getValue()
		{
			return value;
		}

		/**
		 * Sets the value.
		 * 
		 * @param enumImageValue the new value
		 */
		public void setValue(EnumImageType.Value1 enumImageValue)
		{
			value = enumImageValue.getValue();

		}
	}

	/**
	 * The Enum Value2.
	 */
	public enum Value2
	{
		
		/**
		 * The PRIMARY.
		 */
		PRIMARY("PRIMARY");
		
		Value2(String strValue)
		{
			value = strValue;
		}

		/**
		 * The value.
		 */
		private String value;

		/**
		 * Gets the value.
		 * 
		 * @return the value
		 */
		public String getValue()
		{
			return value;
		}
		
		/**
		 * Sets the value.
		 * 
		 * @param enumImageValue the new value
		 */
		public void setValue(EnumImageType.Value2 enumImageValue)
		{
			value = enumImageValue.getValue();

		}
	}

	/**
	 * The Enum Value3.
	 */
	public enum Value3
	{
		
		/**
		 * The ANGIO_TIME.
		 */
		ANGIO_TIME("ANGIO TIME"),
		
		/**
		 * The METABOLITE_MAP.
		 */
		METABOLITE_MAP("METABOLITE MAP"),
		
		/**
		 * The CINE.
		 */
		CINE("CINE"),
		
		/**
		 * The DIFFUSION.
		 */
		DIFFUSION("DIFFUSION"),
		
		/**
		 * The FLOW_ENCODED.
		 */
		FLOW_ENCODED("FLOW ENCODED"),
		
		/**
		 * The FLUID_ATTENUATED.
		 */
		FLUID_ATTENUATED("FLUID ATTENUATED"),
		
		/**
		 * The FMRI.
		 */
		FMRI("FMRI"),
		
		/**
		 * The MAX_IP.
		 */
		MAX_IP("MAX IP"),
		
		/**
		 * The MIN_IP.
		 */
		MIN_IP("MIN IP"),
		
		/**
		 * The M_MODE.
		 */
		M_MODE("M MODE"),
		
		/**
		 * The MULTIECHO.
		 */
		STATICMULTIECHO("MULTIECHO"),
		
		/**
		 * The PROTON_DENSITY.
		 */
		PROTON_DENSITY("PROTON DENSITY"),
		
		/**
		 * The REALTIME.
		 */
		REALTIME("REALTIME"),
		
		/**
		 * The STIR.
		 */
		STIR("STIR"),
		
		/**
		 * The STRESS.
		 */
		STRESS("STRESS"),
		
		/**
		 * The TAGGING.
		 */
		TAGGING("TAGGING"),
		
		/**
		 * The TEMPERATURE.
		 */
		TEMPERATURE("TEMPERATURE"),
		
		/**
		 * The T1.
		 */
		T1("T1"),
		
		/**
		 * The T2.
		 */
		T2("T2"),
		
		/**
		 * The T2_STAR.
		 */
		T2_STAR("T2_STAR"),
		
		/**
		 * The TOF.
		 */
		TOF("TOF"),
		
		/**
		 * The VELOCITY.
		 */
		VELOCITY("VELOCITY");
		
		Value3(String strValue)
		{
			value = strValue;
		}

		/**
		 * The value.
		 */
		private String value;

		/**
		 * Gets the value.
		 * 
		 * @return the value
		 */
		public String getValue()
		{
			return value;
		}
		
		/**
		 * Sets the value.
		 * 
		 * @param enumImageValue the new value
		 */
		public void setValue(EnumImageType.Value3 enumImageValue)
		{
			value = enumImageValue.getValue();

		}
	}
	
	/**
	 * The Enum Value4.
	 */
	public enum Value4
	{
		
		/**
		 * The ADC.
		 */
		ADC("ADC"),
		
		/**
		 * The DIFFUSION.
		 */
		DIFFUSION("DIFFUSION"),
		
		/**
		 * The ADC.
		 */
		DIFFUSION_ANISO("DIFFUSION ANISO"),
		
		/**
		 * The DIFFUSION_ATTNTD.
		 */
		DIFFUSION_ATTNTD("DIFFUSION ATTNTD"),
		
		/**
		 * The METABOLITE_MAP.
		 */
		METABOLITE_MAP("METABOLITE_MAP"),
		
		/**
		 * The NEI.
		 */
		NEI("NEI"),
		
		/**
		 * The R_COEFFICIENT.
		 */
		R_COEFFICIENT("R COEFFICIENT"),
		
		/**
		 * The RHO.
		 */
		RHO("RHO"),
		
		/**
		 * The SNR_MAP.
		 */
		SNR_MAP("SNR MAP"),
		
		/**
		 * The T1_MAP.
		 */
		T1_MAP("T1 MAP"),
		
		/**
		 * The T2_STAR_MAP.
		 */
		T2_STAR_MAP("T2 STAR MAP"),
		
		/**
		 * The T2_MAP.
		 */
		T2_MAP("T2 MAP"),
		
		/**
		 * The SCM.
		 */
		SCM("SCM"),
		
		/**
		 * The TCS.
		 */
		TCS("TCS"),
		
		/**
		 * The TEMPERATURE.
		 */
		TEMPERATURE("TEMPERATURE"),
		
		/**
		 * The VELOCITY.
		 */
		VELOCITY("VELOCITY");

		Value4(String strValue)
		{
			value = strValue;
		}

		/**
		 * The value.
		 */
		private String value;

		/**
		 * Gets the value.
		 * 
		 * @return the value
		 */
		public String getValue()
		{
			return value;
		}

		/**
		 * Sets the value.
		 * 
		 * @param enumImageValue the new value
		 */
		public void setValue(EnumImageType.Value4 enumImageValue)
		{
			value = enumImageValue.getValue();

		}
	}
}
